Package ghidra.app.plugin.languages.sleigh

# Class SleighConstructorTraversal

java.lang.Object
ghidra.app.plugin.languages.sleigh.SleighConstructorTraversal

All Implemented Interfaces:
  `VisitorResults`

public class SleighConstructorTraversal extends Object implements VisitorResults
A class to traverse SLEIGH constructors in a language

See Also:
  - `SleighLanguages.traverseConstructors(SleighLanguage, ConstructorEntryVisitor)`

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static class`
  `SleighConstructorTraversal.SubVisitor`
  An internal visitor The `traverse(ConstructorEntryVisitor)` method iterates over each subtable, traversing each with this visitor.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final SleighLanguage`
  `lang`

  ### Fields inherited from interface ghidra.app.plugin.languages.sleigh.VisitorResults

  `CONTINUE, FINISHED, TERMINATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SleighConstructorTraversal(SleighLanguage lang)`
  Prepare to traverse the constructors of a given SLEIGH language

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `traverse(ConstructorEntryVisitor visitor)`
  Traverse the constructors in the language

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### lang

    protected final SleighLanguage lang

- ## Constructor Details

  - ### SleighConstructorTraversal

    public SleighConstructorTraversal(SleighLanguage lang)
    Prepare to traverse the constructors of a given SLEIGH language
    Parameters:
      `lang` - the language

- ## Method Details

  - ### traverse

    public int traverse(ConstructorEntryVisitor visitor)
    Traverse the constructors in the language
    Parameters:
      `visitor` - a callback for each constructor
    Returns:
      a value from `VisitorResults`